> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List load balancer flavors

> Retrieve a list of load balancer flavors. When the `include_prices` query parameter is specified, the list shows
prices. A client in trial mode gets all price values as 0. If you get Pricing Error contact the support



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/lbflavors/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/lbflavors/{project_id}/{region_id}:
    get:
      tags:
        - Load Balancers
      summary: List load balancer flavors
      description: >-
        Retrieve a list of load balancer flavors. When the `include_prices`
        query parameter is specified, the list shows

        prices. A client in trial mode gets all price values as 0. If you get
        Pricing Error contact the support
      operationId: LoadBalancerFlavorsViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: query
          name: include_prices
          required: false
          description: Set to true if the response should include flavor prices
          schema:
            default: false
            description: Set to true if the response should include flavor prices
            example: true
            examples:
              - true
              - false
            title: Include Prices
            type: boolean
        - in: query
          name: limit
          required: false
          description: Optional. Limit the number of returned items
          schema:
            default: 1000
            description: Optional. Limit the number of returned items
            example: 1000
            examples:
              - 1000
            exclusiveMinimum: 0
            maximum: 1000
            title: Limit
            type: integer
        - in: query
          name: offset
          required: false
          description: >-
            Optional. Offset value is used to exclude the first set of records
            from the result
          schema:
            default: 0
            description: >-
              Optional. Offset value is used to exclude the first set of records
              from the result
            example: 0
            examples:
              - 0
            minimum: 0
            title: Offset
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LbFlavorCollectionSerializer'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            load_balancer_flavor_list =
            client.cloud.load_balancers.flavors.list(
                project_id=1,
                region_id=7,
            )

            print(load_balancer_flavor_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tloadBalancerFlavorList, err := client.Cloud.LoadBalancers.Flavors.List(context.TODO(), cloud.LoadBalancerFlavorListParams{\n\t\tProjectID: gcore.Int(1),\n\t\tRegionID:  gcore.Int(7),\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", loadBalancerFlavorList.Count)\n}\n"
components:
  schemas:
    LbFlavorCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            anyOf:
              - $ref: '#/components/schemas/LbFlavorSerializer'
              - $ref: '#/components/schemas/LbFlavorPricingSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: LbFlavorCollectionSerializer
      type: object
    LbFlavorSerializer:
      properties:
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        vcpus:
          description: Virtual CPU count. For bare metal flavors, it's a physical CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
      title: LbFlavorSerializer
      type: object
    LbFlavorPricingSerializer:
      properties:
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Currency code. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - USD
          title: Currency Code
        flavor_id:
          description: Flavor ID is the same as name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Id
          type: string
        flavor_name:
          description: Flavor name
          example: g2-standard-32-64
          examples:
            - g2-standard-32-64
          title: Flavor Name
          type: string
        price_per_hour:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Price per hour. Shown if the `include_prices` query parameter if set
            to true
          examples:
            - 1
          title: Price Per Hour
        price_per_month:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Price per month. Shown if the `include_prices` query parameter if
            set to true
          examples:
            - 720
          title: Price Per Month
        price_status:
          anyOf:
            - $ref: '#/components/schemas/PriceDisplayStatus'
            - type: 'null'
          default: null
          description: Price status for the UI
          examples:
            - show
        ram:
          description: RAM size in MiB
          example: 2048
          examples:
            - 2048
          title: Ram
          type: integer
        vcpus:
          description: Virtual CPU count. For bare metal flavors, it's a physical CPU count
          example: 1
          examples:
            - 1
          title: Vcpus
          type: integer
      required:
        - flavor_id
        - flavor_name
        - vcpus
        - ram
      title: Optional price schema
      type: object
    PriceDisplayStatus:
      enum:
        - error
        - hide
        - show
      title: PriceDisplayStatus
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````